Subject: Re: bug#61866: 29.0.60; Eglot: Dir-local workspace config doesn't work as described

From: Augusto Stoffel <[email-masked]>
Date: Wed, 01 Mar 2023 08:10:27 +0100

On Wed,  1 Mar 2023 at 01:44, João Távora wrote:

> That buffer is never "random", it is always a temporary buffer in the
> project's directory with the correct major-mode.

Yes, you patch is great.  By random I meant a real project buffer
(random because it's just one of many files in a project).

> I pushed the patch, after testing manually.  I took out the FIXME, as
> it's not really relevant.

Fine by me, but that observation was important.  If today I configure my
server and put it under the `latex-mode' section (because I _think_ it's
a LaTeX project), and tomorrow I open a new Emacs and then do
  C-x C-f myproject/bibliography.bib
then my server will be in an unexpected state.

So I'd would always suggest, if not enforce, that the server
configuration goes in the nil section.  Or, at the very least, not
teach the problematic variant in the manual.